Subject: Re: Cygwin participation threshold
From: Fergus Henderson <[email-masked]>
To: Christopher Faylor <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Feb 1999 19:14:20 +1100

On 24-Feb-1999, Christopher Faylor <[email-masked]> wrote:
> On Thu, Feb 25, 1999, Fergus Henderson wrote:
> >Yes, but you can write and distribute proprietry applications or even
> >proprietry kernel modules for Linux without paying anyone a license fee.
> >The same is not true for Cygwin (although it *was* true once, back around
> >version b16, when it was called gnu-win32).
> 
> True, but that is not the point.  I believe this whold thread started
> because I lamented the lack of people contributing directly to cygwin
> development.

You also asked why.  I believe that licensing may be one of the reasons why.
So I don't think my comment is beside the point.  You may disagree with me,
but I think we're talking about the same topic.

> The many contributors to the linux kernel do not do so
> because it is possible to develop proprietary code for linux.

That may not be their direct motivation, but I do think it is a
significant factor.  I think that if it were impossible to develop
proprietry code for Linux, then Linux would have a much smaller user
base, and there would be far fewer contributors to Linux.

> I don't consider companies who create proprietary kernel modules as
> contributing to linux development in any way.

The ability to create proprietry kernel modules is of little importance.
The ability to create proprietry applications is of much greater importance.

> Possibly they help indirectly
> by getting the word out about linux but that is a secondary and, IMO, very
> minor benefit.

I agree that the benefits are indirect and secondary.  However,
I don't think they should be ignored.

In addition to getting the word out, companies which develop proprietry
applications (or kernel modules) often also help

	(1) by using Linux, and in the process sometimes reporting
	    and/or fixing bugs in the kernel and/or the various
	    open-source applications that are part of Linux; sometimes
	    they will even add whole new features which are needed for
	    their proprietry application (or module); and

	(2) by providing software (or drivers) which other people need,
	    and thus encouraging those other people to use Linux,
	    leading to the same benefits as (1).

-- 
Fergus Henderson <[email-masked]>  |  "Binaries may die
WWW: <http://www.cs.mu.oz.au/~fjh>  |   but source code lives forever"
PGP: finger [email-masked]        |     -- leaked Microsoft memo.

--
Want to unsubscribe from this list?
Send a message to [email-masked]